using Cirno.Scripts.Resources;
using Godot;

namespace Cirno.Scripts.AttackPatterns;

public interface IPatternMachine
{
    public Node Parent { get; }
    
    public void Start();
    
    public void UpdatePattern(double delta);
    public bool IsComplete();
    
}